/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOCONT                                                 */
/* Tabela : TIPOCONT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 17/08/2004 - Welbert G. Moitinha                                           */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPOCONT
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOCONT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPCO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (:OLD.CDTIPOCONT <> :NEW.CDTIPOCONT) OR
         (:OLD.NMTIPOCONT <> :NEW.NMTIPOCONT) THEN
         :NEW.DTULTATUTPCO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOCONT', '', 'CDTIPOCONT='||:OLD.CDTIPOCONT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOCONT MODIFY DTULTATUTPCO DEFAULT SYSDATE
/
